£1,179.41– £1,440.99
Compare 3 prices
D-Link · Network Switch
D-Link 10-Port Gigabit PoE+ Smart Managed Switch including 2 SFP Ports price in United Kingdom
Model DGS-1210-10MPMPN DGS-1210-10MPMPN DGS-1210-10MP/EEAN 790069432507EAN 790069467714
- Memory128 MB
- Noise0 dB
- Weight1.77 kg
- ColourBlack
Lowest price incl. delivery
£129.30
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £129.30 – £250.18
- Save up to £120.88 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Save up to £120.88 (48%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceD-Link 10-Port Gigabit PoE+ Smart Managed Switch including 2 SFP Ports In stockFree shipping£129.30incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeD-Link 10-Port Gigabit PoE+ Smart Managed Switch including 2 SFP Ports In stockFree shipping£152.99incl. free shipping+£23.69 (18%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PCHUB.UKD-Link DGS-1210-10MP Managed L2 Gigabit Ethernet (10/100/1000) Power o In stockFree shipping£250.18incl. free shipping+£120.88 (93%) vs lowestGo to store : PCHUB.UK (opens in a new tab)
- PcNova.co.ukD-Link 10-Port Gigabit PoE+ Smart Managed Switch including 2 SFP Ports In stockShipping not stated£129.30item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
- PcNova.co.ukD-Link DGS-1210-10MP Managed L2 Gigabit Ethernet (10/100/1000) Power o In stockShipping not stated£250.18item price, shipping extra+£120.88 (93%) vs lowestGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- D-Link
- Product
- 10-Port Gigabit PoE+ Smart Managed Switch including 2 SFP Ports
- Full name
- D-Link 10-Port Gigabit PoE+ Smart Managed Switch including 2 SFP Ports
- Manufacturer part number
- DGS-1210-10MP, DGS-1210-10MP/E
- EAN / UPC
- 790069432507, 790069467714, 5704174940319
- Category
- Network Switch
90 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2/L3 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| ARP inspection | Yes |
| System event log | Yes |
| MIB support | RFC1212, RFC1213, RFC1215, RFC1493, RFC1157, RFC2573, RFC2575, RFC2576, RFC1442, RFC1901, RFC1902, RFC1903, RFC1904, RFC1905, FC1906, RFC1907, RFC1908, RFC2578, RFC3418, RFC271, RFC1757, RFC2819, RFC2021, RFC1398, RFC1643, RFC1650, RFC2358, RFC2665, RFC2674, RFC2618, RFC4022, RFC4113, RFC2389, RFC26 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 8 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP module slots quantity | 2 |
| Fiber optic connector | SFP |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
|---|---|
| 10G support | No |
| Copper ethernet cabling technology | 10BASE-T, 100BASE-TX, 1000BASE-T |
| Cable types supported | Cat5, Cat5e |
| Port mirroring | Yes |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Head-of-line (HOL) blocking | Yes |
| Link aggregation | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Number of VLANs | 4094 |
Optical fiber
| Fiber ethernet cabling technology | 100BASE-FX, 1000BASE-X |
|---|
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 20 Gbit/s |
| Forwarding rate | 14.88 Mpps |
| Store-and-forward | Yes |
| Jumbo frames support | Yes |
| Jumbo frames | 10000 |
| Packet buffer memory | 4.1 MB |
Security
| DHCP features | DHCP server, DHCP client |
|---|---|
| Access Control List (ACL) | Yes |
| Access Control List (ACL) rules | 768 |
| IGMP snooping | Yes |
| IP-MAC-Port binding | Yes |
| Loop protection | Yes |
| Security algorithms | 802.1x RADIUS, EAP, MD5, PEAP, SNMP, SSH-2, SSL/TLS, TTLS |
Multicast features
| Multicast support | Yes |
|---|
Design
| Product colour | Black |
|---|---|
| LED indicators | Activity, Link, Power, Speed |
| Safety | CB, UL, BSMI, CCC |
Performance
| Memory type | DDR3-SDRAM |
|---|---|
| Internal memory | 128 MB |
| Flash memory | 32 MB |
| Firmware upgradeable | Yes |
| Maximum cable length | 100 m |
| Noise level | 0 dB |
| Mean time between failures (MTBF) | 1274005 h |
Power
| AC input voltage | 100 - 240 V |
|---|---|
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 152.3 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet plus (PoE+) ports quantity | 8 |
| Total Power over Ethernet (PoE) budget | 130 W |
Operational conditions
| Operating temperature (T-T) | -5 - 50 °C |
|---|---|
| Storage temperature (T-T) | -20 - 70 °C |
| Operating relative humidity (H-H) | 0 - 95% |
| Storage relative humidity (H-H) | 0 - 95% |
| Heat dissipation | 519.51 BTU/h |
Weight & dimensions
| Width | 330 mm |
|---|---|
| Depth | 180 mm |
| Height | 44 mm |
| Weight | 1.77 kg |
Packaging data
| Package width | 319 mm |
|---|---|
| Package depth | 400 mm |
| Package height | 91 mm |
| Package weight | 3.1 kg |
Technical details
| Master (outer) cases per pallet (air) | 24 pc(s) |
|---|---|
| Master (outer) cases per pallet (sea) | 40 pc(s) |
| Pallet gross length | 110 cm |
| Pallet gross weight (air) | 268.3 kg |
| Pallet gross weight (sea) | 430.6 kg |
| Pallet gross width | 120 cm |
| Pallet height (air) | 118.2 cm |
| Pallet height (sea) | 188 cm |
| Products per pallet (air) | 72 pc(s) |
| Products per pallet (sea) | 120 pc(s) |
| Products per shipping (inner) case | 3 pc(s) |
| Shipping (inner) case gross weight | 10.1 kg |
| Shipping (inner) case height | 34.9 cm |
| Shipping (inner) case length | 41.6 cm |
| Shipping (inner) case net weight | 9.31 kg |
| Shipping (inner) case width | 29.4 cm |
Certificates
| Certification | CE A, VCCI A, FCC A, BSMI, CCC |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






